Install broken (again?)

mfrederick
2007-07-02
2013-05-03
  • mfrederick
    mfrederick
    2007-07-02

    Update site not working:
    Network connection problems encountered during search.
      Unable to access "http://schemeway.sf.net/update-site/plugins/".
        Error parsing site stream. [White spaces are required between publicId and systemId.]
        Error parsing site stream. [White spaces are required between publicId and systemId.]

    Zip file broken:
    Archive:  UpdateSite_1.2.15.zip
      End-of-central-directory signature not found.  Either this file is not
      a zipfile, or it constitutes one disk of a multi-part archive.  In the
      latter case the central directory and zipfile comment will be found on
      the last disk(s) of this archive.

    And I'm not sure where to put the contents of the extracted jar file.

    Any ideas?

     
    • You are right, it is broken. I don't know why, because it was ok a few months ago (last time I checked). Please, retry the update site: http://schemeway.sf.net/update-site/. Note that SourceForge had a few problems lately, this may be related. If you still experience problems, let me know.

      If you are able to download UpdateSite_1.x.x.zip, you can either unzip it in the eclipse directory, or in any other directory in which case you will have to use Install/Update from Eclipse (menu Help/Software Updates.../Find and Install, select "Search for new features to install", and then add a new local site).

      Hope this helps!

      Dominique

       
    • Aaron Hunter
      Aaron Hunter
      2007-08-24

      Manually downloading the update zip is not working for me (Mac OS X). The zip file seems corrupted. Can you fix this? Also will this version work on 3.3 Europa?

      Thanks for the excellent and indispensable plugin.

       
      • Aaron,

        SchemeScript v1.2.15 should work ok on Europa, but I have not tested it myself (yet). I will upgrade in the next few weeks.

        Regarding the corrupted update zip, it is indeed broken. I really don't know why. I'll have to upload a new version. Are you able to install SchemeScript from Eclipse?

        Dominique

         
        • Aaron Hunter
          Aaron Hunter
          2007-08-27

          No, neither the the update from within Eclipse (same "spaces" error described above) nor the zip file work. Can you upload a new zip?

          Thanks.

           
          • I just uploaded a new zip file for the update site on SourceForge. However, it may take some time to be visible from all the mirror sites.

            An alternative would be to download SchemeScript 1.2.15, the jar file, and put it in the $ECLIPSE_HOME/plugins directory. I just downloaded it and it was not corrupted. Have you tried that?

            Dominique

             
          • The UpdateSite zip file is now working.

            Dominique

             
            • Aaron Hunter
              Aaron Hunter
              2007-09-01

              Thank you. I was able to install the UpdateSite.zip file, however, it doesn't seem to work in "Europa". I'm running the Mac OS X version so maybe it's just my system. Have you had a chance yet to test it on Europa?

               
              • Aaron,

                I have been able to install SchemeScript in Europa. I haven't done thorough testing, however. And I'm running Windows XP Professional.

                What kind of problems do you have?

                Dominiqu